Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.document
Class DerefBytesDocValuesField

    java.lang.Object
      org.apache.lucene.document.Field
          org.apache.lucene.document.BinaryDocValuesField
              org.apache.lucene.document.DerefBytesDocValuesField

All Implemented Interfaces:
  IndexableField

Deprecated. Use `BinaryDocValuesField` instead.

    @Deprecated
    public class DerefBytesDocValuesField

extends BinaryDocValuesField

Field that stores a per-document `BytesRef` value. Here's an example usage:

       document.add(new DerefBytesDocValuesField(name, new BytesRef("hello")));

If you also need to store the value, you should add a separate `StoredField` instance.

See Also:
  `BinaryDocValues`

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.document.Field
`Field.Index, Field.Store, Field.TermVector`

Field Summary
`static FieldType` | `TYPE_FIXED_LEN` Deprecated. Type for bytes DocValues: all with the same length
`static FieldType` | `TYPE_VAR_LEN` Deprecated. Type for bytes DocValues: can have variable lengths

Fields inherited from class org.apache.lucene.document.BinaryDocValuesField
`TYPE`

Fields inherited from class org.apache.lucene.document.Field
`boost, fieldsData, name, tokenStream, type`

Constructor Summary
`DerefBytesDocValuesField(String name, BytesRef bytes)` Deprecated. Create a new fixed or variable-length DocValues field.
`DerefBytesDocValuesField(String name, BytesRef bytes, boolean isFixedLength)` Deprecated. Create a new fixed or variable length DocValues field.

Method Summary

Methods inherited from class org.apache.lucene.document.Field
`binaryValue, boost, fieldType, name, numericValue, readerValue, setBoost, setBytesValue, setBytesValue, setByteValue, setDoubleValue, setFloatValue, setIntValue, setLongValue, setReaderValue, setShortValue, setStringValue, setTokenStream, stringValue, tokenStream, tokenStreamValue, toString, translateFieldType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TYPE_FIXED_LEN

    public static final FieldType TYPE_FIXED_LEN

  Deprecated.
  Type for bytes DocValues: all with the same length

### TYPE_VAR_LEN

    public static final FieldType TYPE_VAR_LEN

  Deprecated.
  Type for bytes DocValues: can have variable lengths

Constructor Detail

### DerefBytesDocValuesField

    public DerefBytesDocValuesField(String name,
                                    BytesRef bytes)

  Deprecated.
  Create a new fixed or variable-length DocValues field.

  Parameters:
    `name` - field name
    `bytes` - binary content
  Throws:
    `IllegalArgumentException` - if the field name is null

### DerefBytesDocValuesField

    public DerefBytesDocValuesField(String name,
                                    BytesRef bytes,
                                    boolean isFixedLength)

  Deprecated.
  Create a new fixed or variable length DocValues field.

  Parameters:
    `name` - field name
    `bytes` - binary content
    `isFixedLength` - (ignored)
  Throws:
    `IllegalArgumentException` - if the field name is null

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.